/* Footer ================ */

:root {
  --footer-padding: 60px;

  @media (--tablet-max) {
    --footer-padding: 40px;
  }
}

.footer {
  padding-top: var(--footer-padding);
  padding-bottom: var(--footer-padding);
  color: var(--color-white);
  background-color: var(--color-primary);

  @media (--desktop-large-max) {
    padding-bottom: 40px;
  }

  .button {
    width: 100%;
    font-weight: var(--text-font-weight-regular);

    @media (--desktop-min) {
      max-width: 400px;
    }

    @media (--desktop-max) {
      max-width: 340px;
    }
  }

  .footer__link {
    color: var(--color-white);
  }
}

.footer__top {
  display: flex;
  justify-content: space-between;

  @media (--laptop-max) {
    flex-direction: column;
  }

  + .footer__bottom {
    padding-top: 35px;

    @media (--tablet-max) {
      padding-top: 20px;
    }
  }
}

.footer__social-label {
  display: inline-block;
  margin-bottom: 20px;

  @media (--tablet-max) {
    margin-bottom: 10px;
  }
}

.footer__bottom {
  display: flex;
  justify-content: space-between;

  .footer__column {
    justify-content: flex-end;
  }

  @media (--laptop-max) {
    flex-direction: column;

    .footer__column {

      &:nth-child(2) {
        order: 1;
      }
    }
  }
}

.footer__column {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 33.33%;

  @media (--laptop-min) {

    &:first-child {
      align-items: flex-start;
    }

    &:last-child {
      align-items: flex-end;
    }
  }

  @media (--laptop-max) {
    width: 100%;

    + .footer__column {
      margin-top: 30px;
    }
  }

  @media (--tablet-max) {

    + .footer__column {
      margin-top: 20px;
    }
  }
}

.footer__button {

  + .footer__button {
    margin-top: 30px;

    @media (--desktop-max) {
      margin-top: 20px;
    }

    @media (--tablet-max) {
      margin-top: 15px;
    }
  }
}

.footer__link {

  + .footer__link {
    margin-top: 30px;

    @media (--desktop-max) {
      margin-top: 20px;
    }

    @media (--tablet-max) {
      margin-top: 15px;
    }
  }
}

/* ================ end footer */
